Skip to navigation

Ping

View as Markdown

This method determines if the AccountManagement API service can be contacted.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/Ping"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<Ping xmlns="http://www.docusign.net/API/AccountManagement" />
</soap:Body>
</soap:Envelope>

This method simply returns “true” in the result XML if the calling application was able to reach it.

Sample Response XML

HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<PingResponse xmlns="http://www.docusign.net/API/AccountManagement">
<PingResult>boolean</PingResult>
</PingResponse>
</soap:Body>
</soap:Envelope>